## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XBoolean Class Reference

`#include <XBoolean.hpp>`

Inheritance diagram for XBoolean:

[legend]
Collaboration diagram for XBoolean:

[legend]
List of all members.

## Public Types

- typedef XObject ParentType

## Public Methods

- XBoolean (bool val)
    Construct an XBoolean object from a boolean value. More...
- XBoolean (const XBoolean &source)
- virtual ~XBoolean ()
- virtual const XalanDOMString& getTypeString () const
    Given a request type, return the equivalent string. More...
- virtual double num () const
    Cast result object to a number. More...
- virtual bool boolean () const
    Cast result object to a boolean. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information. More...

## Member Typedef Documentation

typedef XObject XBoolean::ParentType

## Constructor & Destructor Documentation

XBoolean::XBoolean ( | bool val )

Construct an XBoolean object from a boolean value.

Parameters:

  val | boolean value to initialize object

XBoolean::XBoolean ( | const XBoolean & source )

XBoolean::~XBoolean ( | )`[virtual]`

## Member Function Documentation

void XBoolean::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject ) const`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

void XBoolean::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject )`[virtual]`

Process a callback request for preferred type information.

Parameters:

  theCallbackObject | object to call back

Reimplemented from XObject.

bool XBoolean::boolean ( | ) const`[virtual]`

Cast result object to a boolean.

Returns:
  boolean value

Reimplemented from XObject.

const XalanDOMString & XBoolean::getTypeString ( | ) const`[virtual]`

Given a request type, return the equivalent string.

For diagnostic purposes.

Returns:
  string for type

Reimplemented from XObject.

double XBoolean::num ( | ) const`[virtual]`

Cast result object to a number.

Returns:
  numeric value

Reimplemented from XObject.

void XBoolean::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

Send the string value to a FormatterListener instance.

Parameters:

  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call

Reimplemented from XObject.

const XalanDOMString & XBoolean::str ( | ) const`[virtual]`

Cast result object to a string.

Returns:
  string value

Reimplemented from XObject.

double XBoolean::stringLength ( | ) const`[virtual]`

Get the length of the string value of the instance..

Returns:
  The length of the string value

Reimplemented from XObject.

The documentation for this class was generated from the following file:

- XBoolean.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.